=== tutorials/sndkit/Makefile ===
TOPDIR=../..

include $(TOPDIR)/make.defs

SUBDIRS=dsp morse tests samples sblive softsynth userdev_demo

all: subdirs

clean: clean_local clean_subdirs
