=== kernel/drv/lynxtwo/Makefile ===
#Makefile for Open Sound System module lynxtwo

CC = cc HOSTCC = cc CPLUSPLUS = g++ - fno - rtti - fno - exceptions - fpermissive - I.OSFLAGS = -DOSS_LITTLE_ENDIAN OS = Linux ARCH = i686 TOPDIR =.. /.. /.. /..OBJDIR = $ (TOPDIR) / target / objects TMPDIR =.MODDIR = $ (TOPDIR) / target / modules BINDIR = $ (TOPDIR) / target / bin LIBDIR = $ (TOPDIR) / target / lib SBINDIR = $ (TOPDIR) / target / sbin OSSLIBDIR = "/usr/lib/oss" THISOS = kernel / OS / Linux CFLAGS += -D_KERNEL CFLAGS += -O3 - fno - common - ffreestanding - mregparm = 3 - DUSE_REGPARM - fno - stack - protector OBJECTS = $ (TMPDIR) / Hal4114.o $ (TMPDIR) / Hal8420.o $ (TMPDIR) / HalAES16e.o $ (TMPDIR) / HalAdapter.o $ (TMPDIR) / HalAurora.o $ (TMPDIR) / HalDMA.o $ (TMPDIR) / HalDevice.o $ (TMPDIR) / HalEEPROM.o $ (TMPDIR) / HalLStream.o $ (TMPDIR) / HalMIDIDevice.o $ (TMPDIR) / HalMixer.o $ (TMPDIR) / HalOSS.o $ (TMPDIR) / HalPlayMix.o $ (TMPDIR) / HalPlayMixNew.o $ (TMPDIR) / HalPlayMixV3.o $ (TMPDIR) / HalRecordMix.o $ (TMPDIR) / HalRegister.o $ (TMPDIR) / HalSampleClock.o $ (TMPDIR) / HalTimecode.o $ (TMPDIR) / HalWaveDMADevice.o $ (TMPDIR) / HalWaveDevice.o $ (TMPDIR) / OssAudio.o $ (TMPDIR) / lynxtwo.o $ (TMPDIR) / ossutils.o TARGETS = $ (MODDIR) / lynxtwo $ (MODDIR) / lynxtwo.o DEPDIR = $ (TMPDIR) CSOURCES = lynxtwo.c ossutils.c all: $ (MODDIR) / lynxtwo.o lint: lint_sources dep:$ (AUTOGEN_SOURCES) dep_local
  include $ (TOPDIR) / make.defs
$ (MODDIR) /
lynxtwo.o:
$ (OBJECTS)
$ (LD)
$ (LDARCH) -
r - o
$ (MODDIR) /
lynxtwo.o
$ (OBJECTS)
$ (TMPDIR) /
Hal4114.o:Hal4114.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
Hal4114.cpp - o
$ (TMPDIR) /
Hal4114.o
$ (TMPDIR) /
Hal8420.o:Hal8420.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
Hal8420.cpp - o
$ (TMPDIR) /
Hal8420.o
$ (TMPDIR) /
HalAES16e.o:HalAES16e.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalAES16e.cpp - o
$ (TMPDIR) /
HalAES16e.o
$ (TMPDIR) /
HalAdapter.o:HalAdapter.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalAdapter.cpp - o
$ (TMPDIR) /
HalAdapter.o
$ (TMPDIR) /
HalAurora.o:HalAurora.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalAurora.cpp - o
$ (TMPDIR) /
HalAurora.o
$ (TMPDIR) /
HalDMA.o:HalDMA.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalDMA.cpp - o
$ (TMPDIR) /
HalDMA.o
$ (TMPDIR) /
HalDevice.o:HalDevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalDevice.cpp - o
$ (TMPDIR) /
HalDevice.o
$ (TMPDIR) /
HalEEPROM.o:HalEEPROM.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalEEPROM.cpp - o
$ (TMPDIR) /
HalEEPROM.o
$ (TMPDIR) /
HalLStream.o:HalLStream.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalLStream.cpp - o
$ (TMPDIR) /
HalLStream.o
$ (TMPDIR) /
HalMIDIDevice.o:HalMIDIDevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalMIDIDevice.cpp - o
$ (TMPDIR) /
HalMIDIDevice.o
$ (TMPDIR) /
HalMixer.o:HalMixer.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalMixer.cpp - o
$ (TMPDIR) /
HalMixer.o
$ (TMPDIR) /
HalOSS.o:HalOSS.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalOSS.cpp - o
$ (TMPDIR) /
HalOSS.o
$ (TMPDIR) /
HalPlayMix.o:HalPlayMix.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalPlayMix.cpp - o
$ (TMPDIR) /
HalPlayMix.o
$ (TMPDIR) /
HalPlayMixNew.o:HalPlayMixNew.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalPlayMixNew.cpp - o
$ (TMPDIR) /
HalPlayMixNew.o
$ (TMPDIR) /
HalPlayMixV3.o:HalPlayMixV3.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalPlayMixV3.cpp - o
$ (TMPDIR) /
HalPlayMixV3.o
$ (TMPDIR) /
HalRecordMix.o:HalRecordMix.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalRecordMix.cpp - o
$ (TMPDIR) /
HalRecordMix.o
$ (TMPDIR) /
HalRegister.o:HalRegister.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalRegister.cpp - o
$ (TMPDIR) /
HalRegister.o
$ (TMPDIR) /
HalSampleClock.o:HalSampleClock.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalSampleClock.cpp - o
$ (TMPDIR) /
HalSampleClock.o
$ (TMPDIR) /
HalTimecode.o:HalTimecode.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalTimecode.cpp - o
$ (TMPDIR) /
HalTimecode.o
$ (TMPDIR) /
HalWaveDMADevice.o:HalWaveDMADevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalWaveDMADevice.cpp - o
$ (TMPDIR) /
HalWaveDMADevice.o
$ (TMPDIR) /
HalWaveDevice.o:HalWaveDevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalWaveDevice.cpp - o
$ (TMPDIR) /
HalWaveDevice.o
$ (TMPDIR) /
OssAudio.o:OssAudio.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
OssAudio.cpp - o
$ (TMPDIR) /
OssAudio.o
$ (TMPDIR) /
lynxtwo.o:lynxtwo.c
$ (CC) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (LIBRARIES)
$ (INCLUDES)
lynxtwo.c - o
$ (TMPDIR) /
lynxtwo.o
$ (TMPDIR) /
ossutils.o:ossutils.c
$ (CC) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (LIBRARIES)
$ (INCLUDES)
ossutils.c - o
$ (TMPDIR) /
ossutils.o clean:clean_local
