=== tutorials/sndkit/libossmix_demo/Makefile ===
CFLAGS=-I/usr/lib/oss/include
LDFLAGS=-lossmix

# Comment out the following line under Solaris
#LDFLAGS += -lnsl -lresolv -lsocket

PROGRAMS=ossmixlib_demo

all: $(PROGRAMS)

clean:
	rm -f *.o *~ x y z $(PROGRAMS)
