## oss4 4.2-build2004

=== debian/changelog ===
oss4 (4.2-build2004-1ubuntu2) oneiric; urgency=low

  * Build with -Wno-error=unused-but-set-variable. LP: #809761.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Sep 2011 11:57:01 +0200

oss4 (4.2-build2004-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.
    - Supports our current kernel (LP: #746048)
    Remaining changes:
    - debian/oss4-dkms.dkms.in: s/source/build/ in Kernel headers paths.
  * ld-as-needed.patch: Re-order CC arguments to enable building with ld
    --as-needed (LP: #770972)

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 16 Jun 2011 20:37:48 +0200

oss4 (4.2-build2004-1) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/control: Add liboss4-salsa2, liboss4-salsa-dev and
    liboss4-salsa-asound2 packages, equivalent to (and will replace) those from
    the oss-libsalsa package (Closes: #589127).
  * debian/patches/liboss4-salsa.patch: New patch to rename libsalsa into
    liboss4-salsa to avoid conflicts in the archive for no good reason.
  * debian/rules: Make in libOSSlib and libsalsa.
  * debian/liboss4-salsa-dev.install, debian/liboss4-salsa2.install,
    debian/liboss4-salsa-asound2.links, debian/liboss4-salsa-dev.links:
    Install liboss4-salsa libraries like was done in the oss-libsalsa package.
  * include-alsa: Add a copy of ALSA 1.0.5 headers: Cf ALSA_1.0.* symbols in
    libsalsa, this is the roughly supported version.
  * debian/copyright: Update for new include-alsa files.
  * alsa.pc: New file for compatibility with libasound-dev.
  * debian/control:
    - Add Vcs-Browser and Vcs-Svn fields.
    - Use linux-any instead of the list of Linux archs (Closes: #604679).
    - Make dkms dependency linux-any only.
  * debian/patches/hurd_iot.patch: New patch to fix soundcard.h usage in
    libsalsa on hurd-i386.
  * debian/patches/libsalsa_fixes.patch: New patch to fix some printf usages
    and ioctl declaration in libsalsa.
  * debian/patches/no_EBADE.patch: New patch to cope with hurd-i386 not having
    EBADE.
  * debian/patches/CFLAGS.patch: New patch to make oss4 take debian/rules
    CFLAGS into account.
  * debian/patches/snd_asoundlib_version.patch: New patch to add
    snd_asoundlib_version().
  * debian/patches/generic_srccconf.patch: New patch to fix source
    configuration on unknown archs.

  [ Romain Beauxis ]
  * Fixed README.Debian to only mention dkms' modules.
  * Switch to dpkg-source 3.0 (quilt) format
  * Added DM-Upload-Allowed: yes
  
  [ Sebastien NOEL ]
  * New upstream release (Closes: #595298, #619272).
  * Fix typo in initscript (Closes: #627149).
  * debian/control: adjust linux-headers dependencies (Closes: #628879).

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 Jun 2011 10:06:56 -0500

oss4 (4.2-build2003-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #606833). Remaining changes:
    - debian/oss4-dkms.dkms.in:
      s/source/build/ in Kernel headers paths.
      Thanks to Jason Scurfu and Niall Creech

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 31 Jul 2010 19:37:43 +0200

oss4 (4.2-build2003-1) unstable; urgency=high

  * New upstream release.
  * Removed oss4-source, set oss4-dmks as the 
    only way to compile the drivers.
  * Reload modules in oss4-dmks' postinst when
    called with action "configure".
  Closes: #558034
  * Added soundon and soundoff script to survive
    a suspend/resume cycle. Added Recommends: pm-utils.
  Closes: #565709
  * Added explicit dependency on linux-headers to make sure
    the modules' build symklink is present.
  Closes: #587191
  * Bumped standards-version.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Jul 2010 21:16:03 -0500

oss4 (4.2-build2002-3ubuntu1) maverick; urgency=low

  * debian/{dkms/dkms.conf.template,m-a/rules}:
    s/source/build/ in Kernel headers paths.
    Thanks to Jason Scurfu and Niall Creech (LP: #519577) 

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 25 Jun 2010 23:29:01 +0200

oss4 (4.2-build2002-3) unstable; urgency=low

  * Switched to dh_dkms.
  Closes: #564202
  * Bumped standards-version.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 24 Mar 2010 18:43:54 -0500

oss4 (4.2-build2002-2) unstable; urgency=low

  [ Sebastien NOEL ]
  * oss4-source: fix debian/rules permissions. Closes: #563692.

 -- Sebastien NOEL <sebastien@twolife.org>  Wed, 06 Jan 2010 11:57:19 +0100

oss4 (4.2-build2002-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
    - drop patches/sharedlib.patch
  * #491551 was fixed a long time ago, remove duplicate modprobe.d rules
    (Closes: #558407).

  [ Romain Beauxis ]
  * Added DKMS modules.
  * Do not execute oss4-base init.d script
    if the package is not installed.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 07 Dec 2009 14:52:21 -0600

oss4 (4.2-build2000-6) unstable; urgency=low

  * Fixed FTBFS on hppa. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 29 Nov 2009 15:57:05 -0600

oss4 (4.2-build2000-5) unstable; urgency=low

  * Fixed FTBFS on powerpc and s390. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 29 Nov 2009 09:22:39 -0600

oss4 (4.2-build2000-4) unstable; urgency=low

  * Fixed patches against FTBFS, this time for good.. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Nov 2009 19:03:50 -0600

oss4 (4.2-build2000-3) unstable; urgency=low

  * Fixed incorrect character in patch.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Nov 2009 02:33:47 -0600

oss4 (4.2-build2000-2) unstable; urgency=low

  * Switched patch system to quilt via cdbs.
  * Added patch to support sh4 arch, thanks to Nobuhiro Iwamatsu
  Closes: #557909 
  * Adapted one of the above patch to also fix FTBFS on sparc and mips.
  * Added patch to fix FTBFS due to an invalid printf.
  Closes: #557866
  * Added README.Debian to explain how to build the kernel modules.
  * Removed hurd-i386, kfreebsd-amd64 and kfreebsd-i386 from the 
    list of target archs. A better solution should be investigated later..


