## oss4 4.2-build2005

=== debian/changelog ===
oss4 (4.2-build2005-3) unstable; urgency=low

  * Enable build of liboss4-salsa-dev on !linux only.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Feb 2012 13:08:30 +0100

oss4 (4.2-build2005-2) unstable; urgency=low

  [ Sebastien NOEL ]
  * Merge Samuel Thibault 's changes in debian/rules: do not prepare oss4
    on hurd-any. Should fixes FTBFS on hurd-any.
  * Reintroduce an oss4-source package. I realy dislike DKMS.
  * Fix oss4-dkms's install failure, thanks to Michel Briand
    (closes: #653374).
  * Fix compilation on i386, closes: #645537.

  [ Samuel Thibault ]
  * debian/control: Make oss4-gtk depend on oss4-base on linux-any only
    (closes: #647271).
  * debian/rules: Remove debian/oss4-dkms.dkms on clean.

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 29 Dec 2011 21:22:42 +0100

oss4 (4.2-build2005-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
  * debian/patches/os_cmd: add a new option to ossdetect to choose
    the devices nodes' owner (Closes: #632296).
  * add debian/patches/gcc-4.6.patch (Closes: #625398).
  * add debian/patches/kfreebsd-gnu.patch to build liboss4-salsa2
    and oss4-gtk on GNU/kFreeBSD, thanks to Robert Millan! (Closes: #636631).
  * debian/control: stop providing libasound-dev (Closes: #644685).
  * debian/create-ma-tree.sh: fix oss4-dkms installation (Closes: #640829).

 -- Sebastien NOEL <sebastien@twolife.org>  Sat, 15 Oct 2011 15:22:51 +0200
