=== debian/control ===
Source: oss4
Section: sound
Priority: optional
Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>
DM-Upload-Allowed: yes
Build-Depends: 
 debhelper (>= 7), cdbs, gawk, 
 libgtk2.0-dev, txt2man, quilt, patchutils, 
 libtool, dkms [linux-any]
Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
Standards-Version: 3.9.2

Package: oss4-base
Architecture: linux-any
Depends: linux-sound-base, ${shlibs:Depends}, ${misc:Depends}
Recommends: pm-utils
Suggests: oss4-modules
Description: Open Sound System - base package
 Open Sound System (OSS) is an attempt in unifying
 the digital audio architecture for UNIX.
 .
 This package contains various utilities for configuring
 and using OSS
 .
 For OSS to work on a system with a given sound card, there must be
 an OSS driver for that card in the kernel. For Linux,
 a custom oss4-modules package can be built from the sources
 in the oss4-source package using the module-assistant utility.

Package: oss4-gtk
Architecture: linux-any kfreebsd-any
Depends: oss4-base [linux-any], ${shlibs:Depends}, ${misc:Depends}
Description: Open Sound System - simple GTK2-based mixer control
 Open Sound System (OSS) is an attempt in unifying
 the digital audio architecture for UNIX.
 .
 This package contains a GTK2-based mixer control program.

Package: oss4-dkms
Section: kernel
Architecture: linux-any
Depends: ${misc:Depends}, oss4-base, dkms, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers
Provides: oss4-modules
Description: Open Sound System - DKMS module sources
 This package contains the source for the OSS4 kernel modules,
 packaged with approriate configuration for DKMS to build new
 modules dynamically.

Package: oss4-source
Architecture: linux-any
Depends: ${misc:Depends}, make, debhelper, module-assistant
Description: Open Sound System - drivers sources
 This package provides the source code for the OSS4 kernel modules,
 in a form suitable for use by module-assistant.

Package: oss4-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Open Sound System - development files
 This package provides the header for OSS 4.x development.
 You need this file if you want to build programs which use
 the OSS 4.x API.

Package: liboss4-salsa2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSS to Alsa compatibility library
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.

Package: liboss4-salsa-dev
Provides: libasound2-dev, liboss-salsa-dev
Conflicts: libasound2-dev, liboss-salsa-dev
Section: libdevel
Architecture: kfreebsd-any hurd-any
Depends: ${misc:Depends}, liboss4-salsa2 (= ${binary:Version})
Description: OSS to Alsa compatibility library -- development files
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 .
 This package contains the development part of liboss4-salsa, which permit
 to build application using alsa on architectures which do not have libasound.

Package: liboss4-salsa-asound2
Section: libs
Architecture: all
Provides: libasound2
Conflicts: libasound2
Depends: ${misc:Depends}, liboss4-salsa2
Description: OSS to Alsa compatibility library - binary compatibility symlink
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 .
 This package contains a symbolic link that makes applications already compiled
 with ALSA use liboss4-salsa.
