=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 DEB_DH_INSTALL_ARGS := -X.svn
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
 
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
 
 pre-build:: apply-patches stamp-prepare-oss4
 
@@ -13,15 +16,18 @@
 	mkdir -p $(CURDIR)/build-tree/oss-build
 	cd $(CURDIR)/build-tree/oss-build && $(CURDIR)/configure --enable-libsalsa=NO
 
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	# we do NOT want to build the kernel modules now
-	sed -i -e 's/SUBDIRS=lib cmd kernel\(.*\)/SUBDIRS=lib cmd\1/' $(CURDIR)/build-tree/oss-build/Makefile
+	sed -i -e 's/SUBDIRS=lib cmd \(.*\)/SUBDIRS=lib cmd os_cmd/' $(CURDIR)/build-tree/oss-build/Makefile
 	echo > $(CURDIR)/build-tree/oss-build/.makefile
+endif
 
 	touch $@
 
 stamp-build-oss4:
 	cd $(CURDIR)/build-tree/oss-build && make build
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# TODO: rewrite upstream's 'build.sh' from scratch
 	cat `find $(CURDIR)/build-tree/oss-build/kernel/drv -name .devices`| grep -v '^#' \
 	| sort | grep -v '^osscore' | grep -v '^oss_audiocs' | grep -v '^oss_sadasupport' \
@@ -31,6 +37,7 @@
 	    ( sed "s:CONFIGFILEPATH:/etc/oss4/conf:g" < $(CURDIR)/build-tree/oss-build/noregparm/kernel/drv/$$n/$$n.man > /tmp/ossman.txt && \
 	    /usr/bin/txt2man -t "$$n" -v "OSS Devices" -s 7 /tmp/ossman.txt | gzip -9 > $(CURDIR)/build-tree/oss-build/prototype/usr/share/man/man7/$$n.7.gz ) \
 	done
+endif
 
 	touch $@
 
@@ -41,6 +48,15 @@
 	touch $@
 
 build/oss4-base:: stamp-build-oss4
+
+build/oss4-source:: stamp-source-oss4
+	rm -rf build-tree/modules/oss4/debian
+	mkdir -p build-tree/modules/oss4/debian
+	cp -r debian/m-a/* build-tree/modules/oss4/debian/
+	cp debian/copyright build-tree/modules/oss4/debian/
+	cp debian/changelog build-tree/modules/oss4/debian/
+	chmod 755 build-tree/modules/oss4/debian/rules
+	cd build-tree/ &&  tar cjf oss4.tar.bz2 modules/
 
 build/oss4-dkms:: stamp-source-oss4
 	sed -e 's#_VERSION_#$(UPSTREAM_VERSION)#' < debian/oss4-dkms.install.in > debian/oss4-dkms.install
@@ -76,7 +92,8 @@
 clean::
 	rm -rf stamp-build-oss4 stamp-prepare-oss4 stamp-source-oss4 \
 	stamp-build-libsalsa \
-	debian/oss4-dkms.install debian/dkms/dkms.conf \
+	build-tree \
+	debian/oss4-dkms.install debian/oss4-dkms.dkms debian/dkms/dkms.conf \
 	oss-v$(UPSTREAM_VERSION)-src-gpl.tar.bz2.cdbs-config_list \
 	debian/oss.conf
