## oss4 4.2-build2006

=== debian/changelog ===
oss4 (4.2-build2006-2+deb7u1) testing-proposed-updates; urgency=medium

  * Non-maintainer upload.
  * Drop linux-sound-base dependency, break and replace it (closes: #690574)
    - Directly include OSS-module-list and ALSA-module-list.
  * Use integer arithmetic in vmix (closes: #694631).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Dec 2012 01:04:52 +0000

oss4 (4.2-build2006-2) unstable; urgency=low

  * Fix non-Linux builds: generate alsa.pc from the libsalsa build rule.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 May 2012 18:07:38 +0200

oss4 (4.2-build2006-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Samuel Thibault ]
  * control: Set liboss4-salsa2 and liboss4-salsa-asound2 mult-arch: same. Set
    liboss4-salsa-asound2 architecture: any to build symlink for each arch.
    Update my email address.
  * alsa.pc: rename to alsa.pc.in
  * liboss4-salsa-dev.install: Remove library rules.
  * liboss4-salsa-asound2.links: Remove.
  * liboss4-salsa2.install: Remove.
  * liboss4-salsa-dev.links: Remove
  * oss4-base.install: Do not use braces, this is actually not supported.
  * rules: Install libraries to multiarch path. Add multiarch path to alsa.pc.
    Remove alsa.pc on clean. Put back libOSS.so to private (but multiarched)
    directory.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2012 01:05:03 +0200
