=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>
+Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <sthibault@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: 
  debhelper (>= 7), cdbs, gawk, 
@@ -10,11 +10,13 @@
  libtool, dkms [linux-any]
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
 Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: oss4-base
 Architecture: linux-any
-Depends: linux-sound-base, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: linux-sound-base
+Replaces: linux-sound-base
 Recommends: pm-utils
 Suggests: oss4-modules
 Description: Open Sound System - base package
@@ -67,7 +69,9 @@
 Package: liboss4-salsa2
 Section: libs
 Architecture: any
+Multi-arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: OSS to Alsa compatibility library
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 
@@ -85,10 +89,12 @@
 
 Package: liboss4-salsa-asound2
 Section: libs
-Architecture: all
+Architecture: any
 Provides: libasound2
 Conflicts: libasound2
+Multi-arch: same
 Depends: ${misc:Depends}, liboss4-salsa2
+Pre-Depends: ${misc:Pre-Depends}
 Description: OSS to Alsa compatibility library - binary compatibility symlink
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
  .
