=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
@@ -14,7 +15,7 @@
 
 stamp-prepare-oss4:
 	mkdir -p $(CURDIR)/build-tree/oss-build
-	cd $(CURDIR)/build-tree/oss-build && $(CURDIR)/configure --enable-libsalsa=NO
+	cd $(CURDIR)/build-tree/oss-build && $(CURDIR)/configure --enable-libsalsa=NO --config-vmix=FIXEDPOINT
 
 ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	# we do NOT want to build the kernel modules now
@@ -44,6 +45,7 @@
 stamp-build-libsalsa:
 	cd $(CURDIR)/build-tree/oss-build/lib/libOSSlib && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make libOSSlib.so
 	cd $(CURDIR)/build-tree/oss-build/lib/libsalsa && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make
+	sed -e '/^libdir/s&$$&/$(DEB_HOST_MULTIARCH)&' < debian/alsa.pc.in > debian/alsa.pc
 
 	touch $@
 
@@ -82,6 +84,27 @@
 
 binary-install/oss4-base::
 	chmod +x $(CURDIR)/debian/oss4-base/etc/pm/sleep.d/30oss4-pm
+	cat debian/modprobe.d/OSS-module-list \
+	        | sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
+		    -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
+	        > debian/oss4-base/etc/modprobe.d/oss4-base_noOSS3.conf
+	cat debian/modprobe.d/ALSA-module-list \
+	        | sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
+		    -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
+	        > debian/oss4-base/etc/modprobe.d/oss4-base_noALSA.conf
+
+binary-install/liboss4-salsa-dev::
+	dh_install -pliboss4-salsa-dev build-tree/oss-build/lib/libsalsa/.libs/liboss4-salsa.a build-tree/oss-build/lib/libsalsa/.libs/liboss4-salsa.so usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_link -pliboss4-salsa-dev /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2
+	dh_link -pliboss4-salsa-dev /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so
+	dh_link -pliboss4-salsa-dev /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.a
+
+binary-install/liboss4-salsa2::
+	dh_install -pliboss4-salsa2 build-tree/oss-build/lib/libsalsa/.libs/liboss4-salsa.so.2* usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -pliboss4-salsa2 build-tree/oss-build/lib/libOSSlib/libOSSlib.so usr/lib/$(DEB_HOST_MULTIARCH)/oss4-libsalsa
+
+binary-install/liboss4-salsa-asound2::
+	dh_link -pliboss4-salsa-asound2 /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2
 
 install/oss4-dev:: $(CURDIR)/debian/tmp
 
@@ -90,7 +113,7 @@
 install/oss4-gtk:: $(CURDIR)/debian/tmp
 
 clean::
-	rm -rf stamp-build-oss4 stamp-prepare-oss4 stamp-source-oss4 \
+	rm -rf stamp-build-oss4 stamp-prepare-oss4 stamp-source-oss4 debian/alsa.pc \
 	stamp-build-libsalsa \
 	build-tree \
 	debian/oss4-dkms.install debian/oss4-dkms.dkms debian/dkms/dkms.conf \
