## oss4 4.2-build2007

=== debian/changelog ===
oss4 (4.2-build2007-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Downgrade the linux-headers dependency to recommends.
    (Closes: #728267)

 -- Philipp Kern <pkern@debian.org>  Sat, 23 Nov 2013 15:23:32 +0100

oss4 (4.2-build2007-2) unstable; urgency=medium

  * Revert changes from the previous NMU, it breaks more things
    than it fixes.
  * Until a *tested* patch is proposed, VMIX is now using
    fixed point arithmetic in the kernel.

 -- Sebastien NOEL <sebastien@twolife.org>  Tue, 04 Dec 2012 20:53:17 +0100

oss4 (4.2-build2007-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable preemption in functions touching control registers 
    - Patch thanks to Roland Stigge (closes: #693659).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Nov 2012 06:55:01 +0000

oss4 (4.2-build2007-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU, thanks Michael Gilbert.
  * Add debian/patches/110_ld-as-needed.patch: Rearrange order of linker
    arguments to fix building with "ld --as-needed" (closes: #630737).
  * Add missing dependency on dpkg-dev to oss4-dkms and oss4-source
    (closes: #687086).
  * Fix typo in the changelog (closes: #628876, #675933)
  * Add debian/patches/002_fix-linux-oss_native_word.patch (closes: #693662).
    Thanks to Ben Hutchings.
  * Add debian/patches/003_linux-error-logging-fixes.patch (closes: #693657).
    Thanks to Ben Hutchings.
  * check for /lib/modules/${kernelver}/build in addition of
    /lib/modules/${kernelver}/source (closes: #587191).
  * oss4-dkms.dkms.in: fix 'CLEAN' rules (closes: #653374).

 -- Sebastien NOEL <sebastien@twolife.org>  Mon, 19 Nov 2012 11:47:24 +0100

oss4 (4.2-build2006-2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop linux-sound-base dependency, break and replace it (closes: #690574)
    - Directly include OSS-module-list and ALSA-module-list.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 14 Nov 2012 01:47:48 +0000
