=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: 
  debhelper (>= 7), cdbs, gawk, 
- libgtk2.0-dev, txt2man, quilt, patchutils, 
+ libgtk2.0-dev, txt2man, patchutils, 
  libtool, dkms [linux-any]
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
 Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
@@ -43,7 +43,8 @@
 Package: oss4-dkms
 Section: kernel
 Architecture: linux-any
-Depends: ${misc:Depends}, oss4-base, dkms, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers
+Depends: ${misc:Depends}, oss4-base, dkms, dpkg-dev
+Recommends: linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic
 Provides: oss4-modules
 Description: Open Sound System - DKMS module sources
  This package contains the source for the OSS4 kernel modules,
@@ -52,7 +53,7 @@
 
 Package: oss4-source
 Architecture: linux-any
-Depends: ${misc:Depends}, make, debhelper, module-assistant
+Depends: ${misc:Depends}, make, debhelper, module-assistant, dpkg-dev
 Description: Open Sound System - drivers sources
  This package provides the source code for the OSS4 kernel modules,
  in a form suitable for use by module-assistant.
