=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,9 @@
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 
-pre-build:: apply-patches stamp-prepare-oss4
+pre-build:: stamp-prepare-oss4
 
 stamp-prepare-oss4:
 	mkdir -p $(CURDIR)/build-tree/oss-build
@@ -117,6 +116,5 @@
 	stamp-build-libsalsa \
 	build-tree \
 	debian/oss4-dkms.install debian/oss4-dkms.dkms debian/dkms/dkms.conf \
-	oss-v$(UPSTREAM_VERSION)-src-gpl.tar.bz2.cdbs-config_list \
 	debian/oss.conf
