## oss4 4.2-build2010

=== debian/changelog ===
oss4 (4.2-build2010-5ubuntu9) jammy; urgency=medium

  * Switch from obsolete -mhard-float flag to -mfloat-abi=hard.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 29 Nov 2021 15:46:09 +0000

oss4 (4.2-build2010-5ubuntu8) hirsute; urgency=medium

  * Support Linux 5.11 (LP: #1916872):
    - debian/patches/520-Linux-5.11-re-introduce-get-seconds.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 25 Feb 2021 11:32:44 +0000

oss4 (4.2-build2010-5ubuntu7) groovy; urgency=medium

  * Fixes build on ppc64el with binutils 2.35 (LP: #1891565)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 14 Aug 2020 18:40:15 -0300

oss4 (4.2-build2010-5ubuntu6) groovy; urgency=medium

  * Fix build for Linux >=5.6:
    512-Linux-5.6-proc-fops-conversion.patch,
    513-Linux-5.6-define-time_t.patch
    properly use KBUILD_EXTRA_SYMBOLS instead of symlinking Module.symvers

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 21 May 2020 14:00:44 +0000

oss4 (4.2-build2010-5ubuntu5) focal; urgency=medium

  * Use M= instead of SUBDIRS= on debian/oss4-dkms.dkms.in (LP: #1848590)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 14 Nov 2019 13:11:48 -0300

oss4 (4.2-build2010-5ubuntu4) eoan; urgency=medium

  * Fix build errors with Linux 5.1+ (LP: #1830056)
    - debian/patches/510_fix_makedev_build_failure.patch
    - debian/patches/511_fix_kernel_include_files.patch

 -- Colin Ian King <colin.king@canonical.com>  Thu, 13 Jun 2019 17:28:23 +0100

oss4 (4.2-build2010-5ubuntu3) cosmic; urgency=medium

  * Fix build error with Linux 4.17 (LP: #1773365)
    - debian/patches/include_cred.h.patch

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 12 Jun 2018 08:11:08 -0500

oss4 (4.2-build2010-5ubuntu2) bionic; urgency=medium

  * Add support for Linux kernel 4.15 (LP: #1737754):
    - debian/patches/support_for_new_timer_api.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 08 Feb 2018 19:44:22 +0000

oss4 (4.2-build2010-5ubuntu1) yakkety; urgency=low

  * d/p/osspci_remove-should-return-void.patch -- correct return from
    struct pci_device remove callback.  (LP: #1599237)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 05 Jul 2016 17:08:41 +0100

oss4 (4.2-build2010-5) unstable; urgency=medium

  * rules: Don't install libasound.so.2 link in liboss4-salsa-dev...
    (Closes: #783301)
  * control: ... make it depend on liboss4-salsa-asound2 instead.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Jan 2016 13:35:48 +0100

oss4 (4.2-build2010-4) unstable; urgency=medium

  * 502_linux_io.patch: Fix build on non-x86 Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2015 01:37:39 +0200

oss4 (4.2-build2010-3) unstable; urgency=medium

  * debian/include-alsa/alsa/mixer.h: Update enum _snd_mixer_selem_channel_id
    to newer ALSA. Fixes some MATE builds.
  * 501_linux_version.patch: Fix build under Linux 4.x.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2015 00:25:31 +0200

oss4 (4.2-build2010-2) unstable; urgency=medium

  * Disable USB drivers, which insufficiently validate USB device descriptors.
    (Closes: #775662)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Mar 2015 20:16:31 +0100

oss4 (4.2-build2010-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on libc-dev for oss4-dkms to avoid build failure when
    compiling the module (Closes: #768394)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Nov 2014 16:22:36 +0100

oss4 (4.2-build2010-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
    - fix build with recent kernel. (Closes: #696751)
  * Add build dependency on libtool-bin. (Closes: #761783)

  [ Benda Xu ]
  * Use debhelper 9.
  * Bump to standard 3.9.6.
  * Add Benda Xu to uploaders.
  * Run wrap-and-sort.
  * Canonicalize Vcs-Svn field and add Vcs-Browser field.
  * Get rid of limits.h copy hack, leverage include-fixed from gcc.

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 23 Oct 2014 22:47:56 +0200

oss4 (4.2-build2007-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix to find kernel header (Michal Suchanek). Closes: #713841.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Oct 2014 13:56:56 +0200

oss4 (4.2-build2007-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761779.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:02:33 +0000
