=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: oss4
 Section: sound
 Priority: optional
-Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <sthibault@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: 
- debhelper (>= 7), cdbs, gawk, 
- libgtk2.0-dev, txt2man, patchutils, 
- libtool, dkms [linux-any]
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
-Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
+Uploaders: Sebastien NOEL <sebastien@twolife.org>,
+           Romain Beauxis <toots@rastageeks.org>,
+           Samuel Thibault <sthibault@debian.org>,
+           Benda Xu <heroxbd@gentoo.org>
+Build-Depends: cdbs,
+               debhelper (>= 9),
+               dkms [linux-any],
+               gawk,
+               libgtk2.0-dev,
+               libtool-bin,
+               patchutils,
+               txt2man
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-oss4
+Vcs-Svn: svn://anonscm.debian.org/pkg-oss4/oss4
+Standards-Version: 3.9.6
 
 Package: oss4-base
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: linux-sound-base
 Replaces: linux-sound-base
 Recommends: pm-utils
@@ -32,8 +39,8 @@
  in the oss4-source package using the module-assistant utility.
 
 Package: oss4-gtk
-Architecture: linux-any kfreebsd-any
-Depends: oss4-base [linux-any], ${shlibs:Depends}, ${misc:Depends}
+Architecture: kfreebsd-any linux-any
+Depends: oss4-base [linux-any], ${misc:Depends}, ${shlibs:Depends}
 Description: Open Sound System - simple GTK2-based mixer control
  Open Sound System (OSS) is an attempt in unifying
  the digital audio architecture for UNIX.
@@ -43,7 +50,7 @@
 Package: oss4-dkms
 Section: kernel
 Architecture: linux-any
-Depends: ${misc:Depends}, oss4-base, dkms, dpkg-dev
+Depends: dkms, dpkg-dev, oss4-base, ${misc:Depends}, libc-dev
 Recommends: linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic
 Provides: oss4-modules
 Description: Open Sound System - DKMS module sources
@@ -53,7 +60,7 @@
 
 Package: oss4-source
 Architecture: linux-any
-Depends: ${misc:Depends}, make, debhelper, module-assistant, dpkg-dev
+Depends: debhelper, dpkg-dev, make, module-assistant, ${misc:Depends}
 Description: Open Sound System - drivers sources
  This package provides the source code for the OSS4 kernel modules,
  in a form suitable for use by module-assistant.
@@ -80,8 +87,8 @@
 Provides: libasound2-dev, liboss-salsa-dev
 Conflicts: libasound2-dev, liboss-salsa-dev
 Section: libdevel
-Architecture: kfreebsd-any hurd-any
-Depends: ${misc:Depends}, liboss4-salsa2 (= ${binary:Version})
+Architecture: hurd-any kfreebsd-any
+Depends: liboss4-salsa2 (= ${binary:Version}), ${misc:Depends}, liboss4-salsa-asound2
 Description: OSS to Alsa compatibility library -- development files
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
  .
@@ -94,11 +101,10 @@
 Provides: libasound2
 Conflicts: libasound2
 Multi-arch: same
-Depends: ${misc:Depends}, liboss4-salsa2
+Depends: liboss4-salsa2, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: OSS to Alsa compatibility library - binary compatibility symlink
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
  .
  This package contains a symbolic link that makes applications already compiled
  with ALSA use liboss4-salsa.
-
